Std LinkMakeRelative/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "== Utilisation ==")
(Created page with "Avec sélection: # Sélectionnez un sous-élément dans la Vue 3D, cela signifie un sommet, une arête ou une face, ou toute combinaison de ceux-ci. Ces sous-é...")
Line 16: Line 16:
== Utilisation ==
== Utilisation ==


Avec sélection:
With selection:
# Select a subelement in the [[3D_view|3D view]], this means a vertex, edge, or face, or any combination of these. These subelements must belong to a single object.
# Sélectionnez un sous-élément dans la [[3D_view/fr|Vue 3D]], cela signifie un sommet, une arête ou une face, ou toute combinaison de ceux-ci. Ces sous-éléments doivent appartenir à un seul objet.
# Press the {{Button|[[File:Std_LinkMakeRelative.svg|16px]] [[Std_LinkMakeRelative|Std LinkMakeRelative]]}} button. The produced object has the same icon as the original object, but has two arrow overlays indicating it is a relative Link.
# Appuyez sur le bouton {{Button|[[File:Std_LinkMakeRelative.svg|16px]] [[Std_LinkMakeRelative/fr|Std Créer un sous-lien]]}}. L'objet crée a la même icône que l'objet d'origine mais a deux flèches superposées indiquant qu'il s'agit d'un lien relatif.


Without selection:
Without selection:

Revision as of 14:33, 22 September 2020

Std Créer un sous-lien

Emplacement du menu
Aucun
Ateliers
Tous
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Std Part, Std Groupe, Std Créer un lien

Description

Std Créer un sous-lien crée un App Link (classe App::Link), tout comme Std Créer un lien mais il fonctionne d'abord sur les sous-éléments sélectionnés et définit DonnéesLink Transform sur true.

Utilisation

Avec sélection:

  1. Sélectionnez un sous-élément dans la Vue 3D, cela signifie un sommet, une arête ou une face, ou toute combinaison de ceux-ci. Ces sous-éléments doivent appartenir à un seul objet.
  2. Appuyez sur le bouton Std Créer un sous-lien. L'objet crée a la même icône que l'objet d'origine mais a deux flèches superposées indiquant qu'il s'agit d'un lien relatif.

Without selection:

  • If no object is selected, this command does nothing.
  • If an object is selected in the tree view only, but no subelement is selected in the 3D view, the command does nothing either.

Original body, and three Links created from the subelements of it, including edges and faces.

Properties

This command creates a new App Link; its properties are described in Std LinkMake.

In particular, DonnéesLink Transform is set to true, so DonnéesPlacement becomes hidden, and instead DonnéesLink Placement controls the position of the Link with respect to the position of DonnéesLinked Object.

Scripting

See Std LinkMake for the general information.

An App Link is created with the addObject() method of the document. To define a relative link, its setLink method is used to pick the source object, and one or more of its subelements. Then the LinkTransform attribute is set to True.

import FreeCAD as App

doc = App.newDocument()
body = App.ActiveDocument.addObject("Part::Box", "Box")

obj = App.ActiveDocument.addObject("App::Link", "Link")
obj.setLink(body, '', ['Edge1', 'Edge6', 'Edge7', 'Edge10', 'Face2', 'Face3'])
obj.LinkTransform = True
obj.LinkPlacement.Base = App.Vector(20, 20, 0)
App.ActiveDocument.recompute()